#define ALLEG_420

#ifndef ALLEG_420           // Allegro < 4.2.0
#define TEXTPRINTF          textprintf
#define TEXTPRINTF_RIGHT    textprintf_right
#define TEXTPRINTF_COL      WHITE
#endif

#ifdef ALLEG_420            // Allegro 4.2.0
#define TEXTPRINTF          textprintf_ex
#define TEXTPRINTF_RIGHT    textprintf_right_ex
#define TEXTPRINTF_COL      WHITE, BLACK
#endif

#define PAUSE               clear_keybuf(); readkey()

#define BLACK               makecol(0, 0, 0)
#define DARK_GRAY           makecol(64, 64, 64)
#define GRAY                makecol(128, 128, 128)
#define WHITE               makecol(255, 255, 255)
#define YELLOW              makecol(255, 255, 0)
#define RED                 makecol(255, 0, 0)
#define BACK_COL            makecol(0, 128, 255)
#define TRANSPARENT_COL     makecol(255, 0, 255)

