// Holds info for the Tetris board

#ifndef BOARD_H
#define BOARD_H

#include <iostream>
#include <vector>
using namespace std;

class Board
{
private:

    vector<int> pieces;
    int width, height;

public:

    Board(const int w, const int h);
    ~Board();

    int GetCell (const int x, const int y);
    void SetCell (const int x, const int y, const int piece);

    int GetWidth (void);
    int GetHeight (void);

    void Clear (void);
    void Print (void);
};

#endif
