#include "Keyboard.h"
#include "Graphics.h"
#include "Level.h"
#include "UserInterface.h"
#include <allegro.h>
#include <stdio.h>

const int screenWidth = 800, screenHeight = 600,
        tileWidth = 25, tileHeight = 25,
        levelWidth = 10, levelHeight = 20,
        colorDepth = 16, gfxMode = GFX_AUTODETECT_WINDOWED;

int main (int argc, char ** argv)
{
    UserInterface ui (
        screenWidth,
        screenHeight,
        colorDepth,
        gfxMode,
        levelWidth,
        levelHeight,
        tileWidth,
        tileHeight
        );

    ui.Loop ();

    return 0;
}

END_OF_MAIN ();

